diff --git a/fc-solve/source/scans.h b/fc-solve/source/scans.h
index 716ebfe0e..3d5fb3250 100644
--- a/fc-solve/source/scans.h
+++ b/fc-solve/source/scans.h
@@ -14,17 +14,18 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "instance.h"
 
-static inline void fc_solve__assign_dest_stack_and_col_ptr(
-    int8_t *const positions_by_rank, const int8_t dest_stack,
-    const int8_t dest_col, const fcs_card_t dest_card)
-{
+    static inline void fc_solve__assign_dest_stack_and_col_ptr(
+        int8_t *const positions_by_rank, const int8_t dest_stack,
+        const int8_t dest_col, const fcs_card_t dest_card)
+    {
 #ifdef FCS_FREECELL_ONLY
-    int8_t *ptr = &positions_by_rank[(dest_card - 4) << 1];
+        int8_t *ptr = &positions_by_rank[(dest_card - 4) << 1];
 #else
     int8_t *ptr = &positions_by_rank[(FCS_POS_BY_RANK_WIDTH *
                                          (fcs_card_rank(dest_card) - 1)) +
@@ -32,144 +33,145 @@ static inline void fc_solve__assign_dest_stack_and_col_ptr(
 #endif
 
 #if ((!defined(HARD_CODED_NUM_DECKS)) || (HARD_CODED_NUM_DECKS > 1))
-    for (; (*ptr) != -1; ptr += (4 << 1))
-    {
-    }
+        for (; (*ptr) != -1; ptr += (4 << 1))
+        {
+        }
 #endif
 
-    *(ptr++) = dest_stack;
-    *(ptr) = dest_col;
-}
+        *(ptr++) = dest_stack;
+        *(ptr) = dest_col;
+    }
 
-static inline void fc_solve__calc_positions_by_rank_data(
-    fc_solve_soft_thread_t *const soft_thread,
-    const fcs_state_t *const ptr_state_key,
-    fcs__positions_by_rank_t positions_by_rank
+    static inline void fc_solve__calc_positions_by_rank_data(
+        fc_solve_soft_thread_t *const soft_thread,
+        const fcs_state_t *const ptr_state_key,
+        fcs__positions_by_rank_t positions_by_rank
 #ifndef FCS_DISABLE_SIMPLE_SIMON
-    ,
-    const fcs_bool_t is_simple_simon
+        ,
+        const fcs_bool_t is_simple_simon
 #endif
-)
-{
+    )
+    {
 #ifndef HARD_CODED_ALL
-    var_AUTO(instance, fcs_st_instance(soft_thread));
-    SET_GAME_PARAMS();
+        var_AUTO(instance, fcs_st_instance(soft_thread));
+        SET_GAME_PARAMS();
 #endif
 
-    memset(positions_by_rank, -1, sizeof(fcs__positions_by_rank_t));
+        memset(positions_by_rank, -1, sizeof(fcs__positions_by_rank_t));
 
 #ifndef FCS_DISABLE_SIMPLE_SIMON
-    if (is_simple_simon)
-    {
-#define FCS_POS_IDX(rank, suit) ((suit)*FCS_SS_POS_BY_RANK_WIDTH + (rank))
-        fcs_pos_by_rank_t *const p_by_r =
-            (fcs_pos_by_rank_t *)positions_by_rank;
-        for (int ds = 0; ds < LOCAL_STACKS_NUM; ds++)
+        if (is_simple_simon)
         {
-            const_AUTO(dest_col, fcs_state_get_col(*ptr_state_key, ds));
-            const int dest_cards_num = fcs_col_len(dest_col);
-
-            for (int dc = 0; dc < dest_cards_num; dc++)
+#define FCS_POS_IDX(rank, suit) ((suit)*FCS_SS_POS_BY_RANK_WIDTH + (rank))
+            fcs_pos_by_rank_t *const p_by_r =
+                (fcs_pos_by_rank_t *)positions_by_rank;
+            for (int ds = 0; ds < LOCAL_STACKS_NUM; ds++)
             {
-                const fcs_card_t card = fcs_col_get_card(dest_col, dc);
-                const int suit = fcs_card_suit(card);
-                const int rank = fcs_card_rank(card);
+                const_AUTO(dest_col, fcs_state_get_col(*ptr_state_key, ds));
+                const int dest_cards_num = fcs_col_len(dest_col);
 
-                p_by_r[FCS_POS_IDX(rank, suit)] =
-                    (fcs_pos_by_rank_t){.col = ds, .height = dc};
+                for (int dc = 0; dc < dest_cards_num; dc++)
+                {
+                    const fcs_card_t card = fcs_col_get_card(dest_col, dc);
+                    const int suit = fcs_card_suit(card);
+                    const int rank = fcs_card_rank(card);
+
+                    p_by_r[FCS_POS_IDX(rank, suit)] =
+                        (fcs_pos_by_rank_t){.col = ds, .height = dc};
+                }
             }
         }
-    }
-    else
+        else
 #endif
-    {
+        {
 #define state_key (*ptr_state_key)
 
 #ifndef FCS_FREECELL_ONLY
-        const int sequences_are_built_by =
-            GET_INSTANCE_SEQUENCES_ARE_BUILT_BY(instance);
+            const int sequences_are_built_by =
+                GET_INSTANCE_SEQUENCES_ARE_BUILT_BY(instance);
 #endif
 
-        /* We need 2 chars per card - one for the column_idx and one
-         * for the card_idx.
-         *
-         * We also need it times 13 for each of the ranks.
-         *
-         * We need (4*LOCAL_DECKS_NUM+1) slots to hold the cards plus a
-         * (-1,-1) (= end) padding.             * */
-        /* Populate positions_by_rank by looping over the stacks and
-         * indices looking for the cards and filling them. */
-
-        for (int ds = 0; ds < LOCAL_STACKS_NUM; ds++)
-        {
-            const_AUTO(dest_col, fcs_state_get_col(state_key, ds));
-            int top_card_idx = fcs_col_len(dest_col);
-
-            if (unlikely((top_card_idx--) == 0))
+            /* We need 2 chars per card - one for the column_idx and one
+             * for the card_idx.
+             *
+             * We also need it times 13 for each of the ranks.
+             *
+             * We need (4*LOCAL_DECKS_NUM+1) slots to hold the cards plus a
+             * (-1,-1) (= end) padding.             * */
+            /* Populate positions_by_rank by looping over the stacks and
+             * indices looking for the cards and filling them. */
+
+            for (int ds = 0; ds < LOCAL_STACKS_NUM; ds++)
             {
-                continue;
-            }
+                const_AUTO(dest_col, fcs_state_get_col(state_key, ds));
+                int top_card_idx = fcs_col_len(dest_col);
 
-            fcs_card_t dest_card;
-            {
-                fcs_card_t dest_below_card;
-                dest_card = fcs_col_get_card(dest_col, 0);
-                for (int dc = 0; dc < top_card_idx;
-                     dc++, dest_card = dest_below_card)
+                if (unlikely((top_card_idx--) == 0))
+                {
+                    continue;
+                }
+
+                fcs_card_t dest_card;
                 {
-                    dest_below_card = fcs_col_get_card(dest_col, dc + 1);
-                    if (!fcs_is_parent_card(dest_below_card, dest_card))
+                    fcs_card_t dest_below_card;
+                    dest_card = fcs_col_get_card(dest_col, 0);
+                    for (int dc = 0; dc < top_card_idx;
+                         dc++, dest_card = dest_below_card)
                     {
-                        fc_solve__assign_dest_stack_and_col_ptr(
-                            positions_by_rank, ds, dc, dest_card);
+                        dest_below_card = fcs_col_get_card(dest_col, dc + 1);
+                        if (!fcs_is_parent_card(dest_below_card, dest_card))
+                        {
+                            fc_solve__assign_dest_stack_and_col_ptr(
+                                positions_by_rank, ds, dc, dest_card);
+                        }
                     }
                 }
+                fc_solve__assign_dest_stack_and_col_ptr(
+                    positions_by_rank, ds, top_card_idx, dest_card);
             }
-            fc_solve__assign_dest_stack_and_col_ptr(
-                positions_by_rank, ds, top_card_idx, dest_card);
         }
-    }
 #undef state_key
 #undef ptr_state_key
-}
+    }
 
-static inline const int8_t *fc_solve_calc_positions_by_rank_location(
-    fc_solve_soft_thread_t *const soft_thread)
-{
-    if (soft_thread->super_method_type == FCS_SUPER_METHOD_DFS)
+    static inline const int8_t *fc_solve_calc_positions_by_rank_location(
+        fc_solve_soft_thread_t *const soft_thread)
     {
-        return (DFS_VAR(soft_thread, soft_dfs_info)[DFS_VAR(soft_thread, depth)]
+        if (soft_thread->super_method_type == FCS_SUPER_METHOD_DFS)
+        {
+            return (
+                DFS_VAR(soft_thread, soft_dfs_info)[DFS_VAR(soft_thread, depth)]
                     .positions_by_rank);
+        }
+        else
+        {
+            return (BEFS_M_VAR(soft_thread, befs_positions_by_rank));
+        }
     }
-    else
-    {
-        return (BEFS_M_VAR(soft_thread, befs_positions_by_rank));
-    }
-}
 
-static inline void add_to_move_funcs_list(
-    fcs_move_func **const out_move_funcs_list, size_t *const num_so_far,
-    const fcs_move_func *const indexes, const size_t count_to_add)
-{
-    size_t num = *num_so_far;
-    fcs_move_func *const move_funcs_list =
-        SREALLOC(*out_move_funcs_list, num + count_to_add);
-    for (size_t i = 0; i < count_to_add; ++i)
+    static inline void add_to_move_funcs_list(
+        fcs_move_func **const out_move_funcs_list, size_t *const num_so_far,
+        const fcs_move_func *const indexes, const size_t count_to_add)
     {
-        move_funcs_list[num++].f = fc_solve_sfs_move_funcs[indexes[i].idx];
-    }
+        size_t num = *num_so_far;
+        fcs_move_func *const move_funcs_list =
+            SREALLOC(*out_move_funcs_list, num + count_to_add);
+        for (size_t i = 0; i < count_to_add; ++i)
+        {
+            move_funcs_list[num++].f = fc_solve_sfs_move_funcs[indexes[i].idx];
+        }
 
-    *out_move_funcs_list = move_funcs_list;
-    *num_so_far = num;
-}
+        *out_move_funcs_list = move_funcs_list;
+        *num_so_far = num;
+    }
 
-extern int fc_solve_sfs_check_state_begin(fc_solve_hard_thread_t *const,
-    fcs_kv_state_t *const,
-    fcs_kv_state_t SFS__PASS_MOVE_STACK(fcs_move_stack_t *const));
+    extern int fc_solve_sfs_check_state_begin(fc_solve_hard_thread_t *const,
+        fcs_kv_state_t *const,
+        fcs_kv_state_t SFS__PASS_MOVE_STACK(fcs_move_stack_t *const));
 
-extern fcs_collectible_state_t *fc_solve_sfs_check_state_end(
-    fc_solve_soft_thread_t *, fcs_kv_state_t,
-    fcs_kv_state_t *FCS__pass_moves(fcs_move_stack_t *));
+    extern fcs_collectible_state_t *fc_solve_sfs_check_state_end(
+        fc_solve_soft_thread_t *, fcs_kv_state_t,
+        fcs_kv_state_t *FCS__pass_moves(fcs_move_stack_t *));
 
 #ifdef __cplusplus
 }
